Package org.opensaml.soap.wsaddressing.impl

# Class ToUnmarshaller

java.lang.Object
org.opensaml.core.xml.io.AbstractXMLObjectUnmarshaller
org.opensaml.soap.wsaddressing.impl.AbstractWSAddressingObjectUnmarshaller
org.opensaml.soap.wsaddressing.impl.AttributedURIUnmarshaller
org.opensaml.soap.wsaddressing.impl.ToUnmarshaller

All Implemented Interfaces:
  `Unmarshaller`

public class ToUnmarshaller extends AttributedURIUnmarshaller
Unmarshaller for the <wsa:To> element.

See Also:
  - `To`

## Field Summary

### Fields inherited from class org.opensaml.core.xml.io.AbstractXMLObjectUnmarshaller

`CONFIG_PROPERTY_XML_STRICT_MODE`

## Constructor Summary

Constructors
Constructor
Description
`ToUnmarshaller()`

## Method Summary

### Methods inherited from class org.opensaml.soap.wsaddressing.impl.AttributedURIUnmarshaller

`processAttribute, processElementContent`

### Methods inherited from class org.opensaml.core.xml.io.AbstractXMLObjectUnmarshaller

`buildXMLObject, checkIDAttribute, processChildElement, processUnknownAttribute, unmarshall, unmarshallAttribute, unmarshallChildElement, unmarshallNamespaceAttribute, unmarshallSchemaInstanceAttributes, unmarshallTextContent`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ToUnmarshaller

public ToUnmarshaller()